org.apache.solr.search.grouping.endresulttransformer

## Class GroupedEndResultTransformer

- java.lang.Object
- - org.apache.solr.search.grouping.endresulttransformer.GroupedEndResultTransformer

- All Implemented Interfaces:
    EndResultTransformer

      public class GroupedEndResultTransformer
      extends Object
      implements EndResultTransformer

  Implementation of `EndResultTransformer` that keeps each grouped result separate in the final response.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.solr.search.grouping.endresulttransformer.EndResultTransformer

      `EndResultTransformer.SolrDocumentSource`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupedEndResultTransformer(SolrIndexSearcher searcher)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `transform(Map<String,?> result, ResponseBuilder rb, EndResultTransformer.SolrDocumentSource solrDocumentSource)` Transforms the specified result into its final form and puts it into the specified response.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupedEndResultTransformer

          public GroupedEndResultTransformer(SolrIndexSearcher searcher)

  - ### Method Detail

    - #### transform

          public void transform(Map<String,?> result,
                                ResponseBuilder rb,
                                EndResultTransformer.SolrDocumentSource solrDocumentSource)

      Transforms the specified result into its final form and puts it into the specified response.
      Specified by:
        `transform` in interface `EndResultTransformer`
      Parameters:
        `result` - The map containing the grouping result (for grouping by field and query)
        `rb` - The response builder containing the response used to render the result and the grouping specification
        `solrDocumentSource` - The source of `SolrDocument` instances

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.